Draft OCA: Difference between revisions

From FreeCAD Documentation
(Added Std_Import.svg and Std_Export.svg. They are official icons now.)
mNo edit summary
(2 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:13-->
<!--T:13-->
{{Docnav
{{docnav|[[Draft_SVG|SVG]]|[[Draft_DAT|Airfoil Data Format .DAT]]|[[Draft_Module|Draft Module]]|IconC=Workbench_Draft.svg}}
|[[Draft_SVG|SVG]]
|[[Draft_DAT|Airfoil Data Format .DAT]]
|[[Draft_Module|Draft Module]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


<!--T:7-->
<!--T:7-->
Line 73: Line 81:
}}
}}
<translate>
<translate>



<!--T:6-->
<!--T:6-->
{{Docnav
{{docnav|[[Draft_SVG|SVG]]|[[Draft_DAT|Airfoil Data Format .DAT]]|[[Draft_Module|Draft Module]]|IconC=Workbench_Draft.svg}}
|[[Draft_SVG|SVG]]
|[[Draft_DAT|Airfoil Data Format .DAT]]
|[[Draft_Module|Draft Module]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


</translate>
</translate>

Revision as of 20:55, 11 February 2021

Draft OCA

Menu location
-
Workbenches
Draft
Default shortcut
-
Introduced in version
-
See also
-

Description

Draft OCA is a software module used by the Std Open, Std Import and Std Export commands to handle the OCA file format.

The OCA file format is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from gCAD3D. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

Importing

The following OCA objects can be imported:

  • Lines
  • Arcs and Circles
  • Closed areas

Exporting

The following FreeCAD objects can be exported:

  • Lines and wires (polylines)
  • Arcs and circles
  • Faces

Preferences

For more information see: Import Export Preferences.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

You can export elements to OCA by using the following function:

importOCA.export(exportList, filename)

Example:

import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")